com.sleepycat.bind

## Class RecordNumberBinding

- java.lang.Object
- - com.sleepycat.bind.RecordNumberBinding

All Implemented Interfaces:
  EntryBinding

    public class RecordNumberBinding
    extends java.lang.Object
    implements EntryBinding

An `EntryBinding` that treats a record number key entry as a `Long` key object.

Record numbers are returned as `Long` objects, although on input any `Number` object may be used.

### Constructor Summary

Constructors
Constructor and Description
`RecordNumberBinding()` Creates a byte array binding.

### Method Summary

Methods
`java.lang.Long` `entryToObject(DatabaseEntry entry)` Converts a entry buffer into an Object.
`static long` `entryToRecordNumber(DatabaseEntry entry)` Utility method for use by bindings to translate a entry buffer to an record number integer.
`void` `objectToEntry(java.lang.Object object, DatabaseEntry entry)` Converts an Object into a entry buffer.
`static void` `recordNumberToEntry(long recordNumber, DatabaseEntry entry)` Utility method for use by bindings to translate a record number integer to a entry buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecordNumberBinding

    public RecordNumberBinding()

Creates a byte array binding.

### Method Detail

#### entryToObject

    public java.lang.Long entryToObject(DatabaseEntry entry)

Description copied from interface: `EntryBinding`
Converts a entry buffer into an Object.

Specified by:
  `entryToObject` in interface `EntryBinding`
Parameters:
  `entry` - is the source entry buffer.
Returns:
  the resulting Object.

#### objectToEntry

    public void objectToEntry(java.lang.Object object,
                     DatabaseEntry entry)

Description copied from interface: `EntryBinding`
Converts an Object into a entry buffer.

Specified by:
  `objectToEntry` in interface `EntryBinding`
Parameters:
  `object` - is the source Object.
  `entry` - is the destination entry buffer.

#### entryToRecordNumber

    public static long entryToRecordNumber(DatabaseEntry entry)

Utility method for use by bindings to translate a entry buffer to an record number integer.

Parameters:
  `entry` - the entry buffer.
Returns:
  the record number.

#### recordNumberToEntry

    public static void recordNumberToEntry(long recordNumber,
                           DatabaseEntry entry)

Utility method for use by bindings to translate a record number integer to a entry buffer.

Parameters:
  `recordNumber` - the record number.
  `entry` - the entry buffer to hold the record number.